Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.database
Interface DatabaseCardService

All Known Implementing Classes:
  BasicDatabase

public abstract interface DatabaseCardService
extends CardServiceInterface

This interface defines the features that are necessary for a CardService to be able to access smartcards that provide database functionalities as defined by ISO 7816-7.

Since:
  OCF1.2

Inner Class Summary
`static interface` | `DatabaseCardService.Constants` The `Constants` inner interface allows to use standardized constants. It provides constants used to deal with database smartcards such as constants which describes SCQL operation or code used to manage SCQL exceptions.

Method Summary
`void` | `begin()`
`void` | `commit()`
`void` | `createDictionary(java.lang.String dictionary)`
`void` | `createTable(java.lang.String tableName, java.lang.String columnsList, byte maxnumberOfRows, SecurityAttribute securityattribute)`
`void` | `createUser(java.lang.String userID, java.lang.String userProfile, SecurityAttribute securityattribute)`
`void` | `createView(java.lang.String viewName, java.lang.String tableName, java.lang.String colunmNames, java.lang.String conditions, SecurityAttribute securityattribute)`
`void` | `declareCursor(java.lang.String objectName, java.lang.String columnsName, java.lang.String conditions)`
`void` | `delete()`
`void` | `deleteUser(java.lang.String userID)`
`void` | `dropTable(java.lang.String tableName)`
`void` | `dropView(java.lang.String viewName)`
`java.lang.String[]` | `fetch()`
`java.lang.String[]` | `fetch(byte maxLength)`
`java.lang.String[]` | `fetchNext()`
`java.lang.String[]` | `fetchNext(byte maxLength)`
`void` | `grant(java.lang.String privileges, java.lang.String objectName, java.lang.String userID)`
`void` | `insert(java.lang.String tableName, java.lang.String values)`
`void` | `next()`
`void` | `open()`
`void` | `presentUser(java.lang.String userID)`
`void` | `presentUser(java.lang.String userID, SecurityAttribute securityAttribute)`
`void` | `revoke(java.lang.String privilege, java.lang.String objectName, java.lang.String userID)`
`void` | `rollback()`
`void` | `update(java.lang.String values)`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Method Detail

### createTable

    public void createTable(java.lang.String tableName,
                            java.lang.String columnsList,
                            byte maxnumberOfRows,
                            SecurityAttribute securityattribute)
                     throws opencard.core.terminal.CardTerminalException,
                            SCQLException

### createView

    public void createView(java.lang.String viewName,
                           java.lang.String tableName,
                           java.lang.String colunmNames,
                           java.lang.String conditions,
                           SecurityAttribute securityattribute)
                    throws opencard.core.terminal.CardTerminalException,
                           SCQLException

### createDictionary

    public void createDictionary(java.lang.String dictionary)
                          throws opencard.core.terminal.CardTerminalException,
                                 SCQLException

### dropTable

    public void dropTable(java.lang.String tableName)
                   throws opencard.core.terminal.CardTerminalException,
                          SCQLException

### dropView

    public void dropView(java.lang.String viewName)
                  throws opencard.core.terminal.CardTerminalException,
                         SCQLException

### grant

    public void grant(java.lang.String privileges,
                      java.lang.String objectName,
                      java.lang.String userID)
               throws opencard.core.terminal.CardTerminalException,
                      SCQLException

### revoke

    public void revoke(java.lang.String privilege,
                       java.lang.String objectName,
                       java.lang.String userID)
                throws opencard.core.terminal.CardTerminalException,
                       SCQLException

### declareCursor

    public void declareCursor(java.lang.String objectName,
                              java.lang.String columnsName,
                              java.lang.String conditions)
                       throws opencard.core.terminal.CardTerminalException,
                              SCQLException

### open

    public void open()
              throws opencard.core.terminal.CardTerminalException,
                     SCQLException

### next

    public void next()
              throws opencard.core.terminal.CardTerminalException,
                     SCQLException

### fetch

    public java.lang.String[] fetch(byte maxLength)
                             throws opencard.core.terminal.CardTerminalException,
                                    SCQLException

### fetchNext

    public java.lang.String[] fetchNext(byte maxLength)
                                 throws opencard.core.terminal.CardTerminalException,
                                        SCQLException

### fetch

    public java.lang.String[] fetch()
                             throws opencard.core.terminal.CardTerminalException,
                                    SCQLException

### fetchNext

    public java.lang.String[] fetchNext()
                                 throws opencard.core.terminal.CardTerminalException,
                                        SCQLException

### insert

    public void insert(java.lang.String tableName,
                       java.lang.String values)
                throws opencard.core.terminal.CardTerminalException,
                       SCQLException

### update

    public void update(java.lang.String values)
                throws opencard.core.terminal.CardTerminalException,
                       SCQLException

### delete

    public void delete()
                throws opencard.core.terminal.CardTerminalException,
                       SCQLException

### begin

    public void begin()
               throws opencard.core.terminal.CardTerminalException,
                      SCQLException

### commit

    public void commit()
                throws opencard.core.terminal.CardTerminalException,
                       SCQLException

### rollback

    public void rollback()
                  throws opencard.core.terminal.CardTerminalException,
                         SCQLException

### presentUser

    public void presentUser(java.lang.String userID)
                     throws opencard.core.terminal.CardTerminalException,
                            SCQLException

### presentUser

    public void presentUser(java.lang.String userID,
                            SecurityAttribute securityAttribute)
                     throws opencard.core.terminal.CardTerminalException,
                            SCQLException

### createUser

    public void createUser(java.lang.String userID,
                           java.lang.String userProfile,
                           SecurityAttribute securityattribute)
                    throws opencard.core.terminal.CardTerminalException,
                           SCQLException

### deleteUser

    public void deleteUser(java.lang.String userID)
                    throws opencard.core.terminal.CardTerminalException,
                           SCQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD